#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1,1,2,3};
}

int getMove1d(std::vector<int> v)
{
    int i;
    for(i=0;i<v.size()-1;i++){
        if(v[i]-v[i+1]==1){
            return 0;
        }
    }
    return v.size()-1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1,2,3},{1,2,3},{1,2,3}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    int l=v.size()-1,c=v[0].size()-1,i,j;
    for(i=0;i<v.size();i++){
        for(j=0;j<v[i].size()-1;j++){
            if(v[i][j]-v[i][j+1]==1) c=0;
        }
    }
    for(i=0;i<v[0].size();i++){
        for(j=0;j<v.size()-1;j++){
            if(v[j][i]-v[j+1][i]==1) l=0;
        }
    }
    return {l, c};
}
